<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-list-layout}">

  <head id="head">

    <title data-th-text="#{label_list_entity(#{label_provider_plural})}">
    List Provider - poc_roo_2_0 - SpringRoo Application</title>

  </head>

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!-- CONTAINER -->
    <div class="container bg-container">
      <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content" data-th-with="searchLink=${@linkBuilder.of('ProvidersSearchThymeleafController')},collectionLink=${@linkBuilder.of('ProvidersCollectionThymeleafController')},itemLink=${@linkBuilder.of('ProvidersItemThymeleafController')}">
        <div class="container-fluid content">

          <h1 data-th-text="#{label_provider_plural}">Providers</h1>

          <!-- FILTER -->


          <div class="panel panel-default" data-th-object="${formBean}">

            <div class="panel-heading" data-th-if="${ formBean.description == null }">
              <a class="btn btn-default btn-xs" data-th-with="url=${searchLink.to('byDescriptionForm')}" data-th-href="@{${url}(description=*{description})}">
                <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
              </a>
              <span class="panel-title" data-th-text="#{label_not_filtered}">Not filtered</span>
            </div>

            <div class="panel-heading" data-th-unless="${ formBean.description == null }">
              <span class="btn-group" role="group">
                <a class="btn btn-default btn-xs" data-th-with="url=${searchLink.to('byDescriptionForm')}" data-th-href="@{${url}(description=*{description})}">
                  <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                </a>
                <a class="btn btn-default btn-xs" role="button" href="#filterBody" data-toggle="collapse">
                  <span class="glyphicon glyphicon-sort" aria-hidden="true"></span>
                </a>
              </span>
              <span class="panel-title">
                <span data-th-text="#{label_filtered_by}">Filtered by</span>:
              </span>
              <span class="label label-default" data-th-unless="*{description == null}">description</span>
            </div>

            <div class="panel-body collapse in" id="filterBody" data-th-unless="${ formBean.description == null }">


                 <a class="btn btn-primary btn-xs" data-th-unless="*{description == null}" data-th-with="url=${searchLink.to('byDescription')}" data-th-href="@{${url}}">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                            <span data-th-text="|description: *{description}|">description: a description</span>
                </a>
            </div>

          </div>
          <!-- /FILTER -->

          <!-- TABLE -->
          <div class="table-responsive" id="containerFields">
              <table id="provider-entity-table" style="width: 99.7%" class="table table-striped table-hover table-bordered" data-datatables="true" data-row-id="id" data-select="single" data-z="e4826027" data-order="[[ 0, &quot;asc&quot; ]]" data-data-load-url-param-description="${formBean.description}" data-data-load-url="${searchLink.to('byDescriptionDt')}" data-data-show-url="${itemLink.to('show').with('provider', '_ID_')}" data-data-export-csv-url="${collectionLink.to('exportCsv')}" data-data-export-xls-url="${collectionLink.to('exportXls')}" data-data-export-pdf-url="${collectionLink.to('exportPdf')}" data-data-create-url="${collectionLink.to('createForm')}" data-data-edit-url="${itemLink.to('editForm').with('provider', '_ID_')}" data-data-delete-url="${itemLink.to('delete').with('provider', '_ID_')}" data-data-delete-batch-url="${collectionLink.to('deleteBatch').with('ids', '_ID_')}">
                <caption class="sr-only" data-th-text="#{label_list_entity(#{label_provider_plural})}">Provider List</caption>
                <thead>
                  <tr>
                    <th data-data="description" data-th-text="#{label_provider_description}">description</th>
                    <th data-data="id" data-orderable="false" data-searchable="false" class="dttools" data-th-text="#{label_tools}">Tools</th>
                  </tr>
                </thead>
                <tbody data-th-remove="all">
                  <tr>
                    <td>description</td>
                    <td data-th-text="#{label_tools}">Tools</td>
                  </tr>
                </tbody>
              </table>
              <!-- content replaced by modal-confirm fragment of modal-confirm.html -->
              <div data-th-replace="~{fragments/modal-confirm-delete :: modalConfirmDelete(tableId='provider-entity-table',
                  title=#{label_delete_entity(#{label_provider_plural})}, message=#{info_delete_item_confirm}, baseUrl = @{/providers/})}">
              </div>
          </div>
          <!-- /TABLE -->
          
          <!-- details -->
        <hr>
        <div id="details-level-1">
            <ul class="nav nav-tabs" id="nav-tabs">
                <li class="active">
                  <a id="bookinglines-detail-table-tab" data-toggle="tab" href="#detail-bookinglines-detail" data-z="ad25f896">BookingLines</a>
                </li>
                <li class="active">
                  <a id="contractclientproviders-detail-table-tab" data-toggle="tab" href="#detail-contractclientproviders-detail" data-z="3d9b08b4">ContractClientProviders</a>
                </li>
            </ul>

            <div class="tab-content" id="tab-content">
              <div id="detail-bookinglines-detail" class="tab-pane active">
                <!--START DETAIL TABLE-->
                <div class="table-responsive" data-th-with="detailCollectionLink=${@linkBuilder.of('ProvidersItemBookingLinesThymeleafController')},detailItemLink=${@linkBuilder.of('BookingLinesItemThymeleafController')}">
                    <table id="bookinglines-detail-table" style="width: 99.7%" class="table table-striped table-hover table-bordered" data-datatables="true" data-parent-table="provider-entity-table" data-row-id="id" data-z="ad25f896" data-order="[[ 1, &quot;asc&quot; ]]" data-data-load-url="${detailCollectionLink.to('datatables').with('provider', '_PARENTID_')}" data-data-show-url="${detailItemLink.to('show').with('bookingLine', '_ID_')}" data-data-create-url="${detailCollectionLink.to('createForm').with('provider', '_PARENTID_')}" data-data-edit-url="${detailItemLink.to('editForm').with('bookingLine', '_ID_')}" data-data-delete-url="${detailCollectionLink.to('removeFromBookingLines').with('provider', '_PARENTID_').with('bookingLinesToRemove', '_ID_')}" data-data-delete-batch-url="${detailCollectionLink.to('removeFromBookingLinesBatch').with('provider', '_PARENTID_').with('bookingLinesToRemove', '_ID_')}">
                      <caption class="sr-only" data-th-text="#{label_list_of_entity(#{label_provider_bookinglines})}">BookingLines List</caption>
                      <thead>
                        <tr>
                          <th data-data="id" data-checkboxes="true"></th>
                              <th data-data="description" data-th-text="#{label_provider_bookinglines_description}">description</th>
                              <th data-data="cancelled" data-th-text="#{label_provider_bookinglines_cancelled}">cancelled</th>
                              <th data-data="fromDate" data-th-text="#{label_provider_bookinglines_fromdate}">fromDate</th>
                              <th data-data="toDate" data-th-text="#{label_provider_bookinglines_todate}">toDate</th>
                              <th data-data="priceCost" data-th-text="#{label_provider_bookinglines_pricecost}">priceCost</th>
                              <th data-data="id" data-orderable="false" data-searchable="false" class="dttools" data-th-text="#{label_tools}">Tools</th>
                        </tr>
                      </thead>
                      <tbody data-th-remove="all">
                        <tr>
                              <td>description</td>
                              <td>cancelled</td>
                              <td>fromDate</td>
                              <td>toDate</td>
                              <td>priceCost</td>
                          <td data-th-text="#{label_tools}">Tools</td>
                        </tr>
                      </tbody>
                    </table>
                    <!-- content replaced by modal-confirm fragment of modal-confirm.html -->
                    <div data-th-replace="~{fragments/modal-confirm-delete :: modalConfirmDelete(tableId='bookinglines-detail-table',
                        title=#{label_delete_entity(#{label_provider_bookinglines})}, message=#{info_delete_item_confirm})}">
                    </div>
                   <div data-th-replace="~{fragments/modal-confirm-delete-batch :: modalConfirmDeleteBatch(tableId='bookinglines-detail-table',
                        title=#{label_delete_entity(#{label_provider_bookinglines})}, message=#{info_delete_batch_confirm})}">
                    </div>
                    <div data-th-replace="~{fragments/modal-export-empty-error :: modalExportEmptyError(tableId='bookinglines-detail-table',
                        title=#{label_export_empty_error(#{label_provider_bookinglines})}, message=#{info_export_empty_error})}">
                    </div>
                </div> <!--/table-responsive">
                <!--END TABLE-->
              </div> <!--/tab-pane -->
              <div id="detail-contractclientproviders-detail" class="tab-pane">
                <!--START DETAIL TABLE-->
                <div class="table-responsive" data-th-with="detailCollectionLink=${@linkBuilder.of('ProvidersItemContractClientProvidersThymeleafController')},detailItemLink=${@linkBuilder.of('ContractClientProvidersItemThymeleafController')}">
                    <table id="contractclientproviders-detail-table" style="width: 99.7%" class="table table-striped table-hover table-bordered" data-datatables="true" data-parent-table="provider-entity-table" data-row-id="id" data-z="3d9b08b4" data-order="[[ 1, &quot;asc&quot; ]]" data-data-load-url="${detailCollectionLink.to('datatables').with('provider', '_PARENTID_')}" data-data-show-url="${detailItemLink.to('show').with('contractClientProvider', '_ID_')}" data-data-create-url="${detailCollectionLink.to('createForm').with('provider', '_PARENTID_')}" data-data-edit-url="${detailItemLink.to('editForm').with('contractClientProvider', '_ID_')}" data-data-delete-url="${detailCollectionLink.to('removeFromContractClientProviders').with('provider', '_PARENTID_').with('contractClientProvidersToRemove', '_ID_')}" data-data-delete-batch-url="${detailCollectionLink.to('removeFromContractClientProvidersBatch').with('provider', '_PARENTID_').with('contractClientProvidersToRemove', '_ID_')}">
                      <caption class="sr-only" data-th-text="#{label_list_of_entity(#{label_provider_contractclientproviders})}">ContractClientProviders List</caption>
                      <thead>
                        <tr>
                          <th data-data="id" data-checkboxes="true"></th>
                              <th data-data="description" data-th-text="#{label_provider_contractclientproviders_description}">description</th>
                              <th data-data="id" data-orderable="false" data-searchable="false" class="dttools" data-th-text="#{label_tools}">Tools</th>
                        </tr>
                      </thead>
                      <tbody data-th-remove="all">
                        <tr>
                              <td>description</td>
                          <td data-th-text="#{label_tools}">Tools</td>
                        </tr>
                      </tbody>
                    </table>
                    <!-- content replaced by modal-confirm fragment of modal-confirm.html -->
                    <div data-th-replace="~{fragments/modal-confirm-delete :: modalConfirmDelete(tableId='contractclientproviders-detail-table',
                        title=#{label_delete_entity(#{label_provider_contractclientproviders})}, message=#{info_delete_item_confirm})}">
                    </div>
                   <div data-th-replace="~{fragments/modal-confirm-delete-batch :: modalConfirmDeleteBatch(tableId='contractclientproviders-detail-table',
                        title=#{label_delete_entity(#{label_provider_contractclientproviders})}, message=#{info_delete_batch_confirm})}">
                    </div>
                    <div data-th-replace="~{fragments/modal-export-empty-error :: modalExportEmptyError(tableId='contractclientproviders-detail-table',
                        title=#{label_export_empty_error(#{label_provider_contractclientproviders})}, message=#{info_export_empty_error})}">
                    </div>
                </div> <!--/table-responsive">
                <!--END TABLE-->
              </div> <!--/tab-pane -->
            </div> <!--/tab-content-->
        </div>

          <div class="clearfix">
            <div class="pull-left">
              <a href="../index.html" class="btn btn-default" data-th-href="@{/}">
                 <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                 <span data-th-text="#{label_back}">Back</span>
              </a>
            </div>
          </div>

        </hr></div>
      </section>
      <!-- /CONTENT-->
    </div>
    <!-- /CONTAINER-->

    <footer class="container">
      <!-- Content replaced by layout of the page displayed -->
    </footer>

    <!-- JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so that the pages load faster -->
    <!-- JavaScript loaded by layout of the page displayed -->
    <!--
         Only the inner content of the following tag "javascript" is included
         within the template, in the div "javascript"
        -->
    <div data-layout-fragment="javascript">
    </div>

  </body>

</html>
